<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.163
Name: PatientPerson [universal]
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000">
   <title>PatientPerson [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]"
         id="tmp-r-938f6ce3-4ca9-41de-adf3-87f636d27110">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)">(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1">(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(PatientPerson-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(PatientPerson-universal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(PatientPerson-universal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(PatientPerson-universal): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:birthTime)&lt;=1">(PatientPerson-universal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(PatientPerson-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(PatientPerson-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:contactParty)&gt;=1 ">(PatientPerson-universal): element hl7:contactParty is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:contactParty)&lt;=1">(PatientPerson-universal): element hl7:contactParty komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']"
         id="tmp-r-97c45137-442d-4ace-8474-c35e638a03d7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.163'">(PatientPerson-universal): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.163' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name"
         id="tmp-r-8e6a12eb-81e1-4da3-b23f-6aba4a56c7ac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@use) or (string-length(@use)&gt;0 and not(matches(@use,'\s')))">(PatientPerson-universal): attribuut @use MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@use,' ') return if ($code=('OR','L')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(PatientPerson-universal): de waarde van use MOET 'code OR of code L' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(PatientPerson-universal): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:given)&lt;=1">(PatientPerson-universal): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:prefix)&lt;=1">(PatientPerson-universal): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:family)&lt;=1">(PatientPerson-universal): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:given
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:given"
         id="tmp-r-c5923572-8379-4924-be5f-ee0f8664116e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:prefix
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:prefix"
         id="tmp-r-94fb40bb-bb7a-4cb4-9eb6-a4c94d3d6e71">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="@qualifier='VV BR' or @qualifier='BR VV'">(PatientPerson-universal): 
                            <name/> moet de voorvoegsels van de geslachtsnaam bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:family
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:name/hl7:family"
         id="tmp-r-ce9fa9ae-d570-4ec4-b458-7b0b142a4e9d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@qualifier)='BR'">(PatientPerson-universal): de waarde van @qualifier MOET 'BR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@qualifier) or (string-length(@qualifier)&gt;0 and not(matches(@qualifier,'\s')))">(PatientPerson-universal): attribuut @qualifier MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-9d775adc-27eb-4f6b-8e93-ae3996d2c161">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientPerson-universal): de elementwaarde MOET zijn W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientPerson-universal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:birthTime
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:birthTime"
         id="tmp-r-97c06d41-0af8-4d61-b5aa-fd96bf03a381">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:multipleBirthInd
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:multipleBirthInd"
         id="tmp-r-69af5f6e-6b17-4213-b506-7873860f9fbe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:multipleBirthOrderNumber
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:multipleBirthOrderNumber"
         id="tmp-r-a57f1d2f-0551-46f3-bc3d-aa624bef1959">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(PatientPerson-universal): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="preceding-sibling::hl7:multipleBirthInd/@value='true'">(PatientPerson-universal): 
                        <name/> kan alleen een waarde hebben bij meerlingen</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty"
         id="tmp-r-8f60db22-877c-4a99-a0d0-14b60d22c93e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PatientPerson-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(PatientPerson-universal): element hl7:telecom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(PatientPerson-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:contactPerson)&lt;=1">(PatientPerson-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:telecom
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:telecom"
         id="tmp-r-3eae4ae8-0596-40c6-b471-db205a8881fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime"
         id="tmp-r-5d3fd30c-2fb7-4fe0-a917-b93196d747e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="hl7:low or hl7:high">(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: low en/of high is verplicht</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PatientPerson-universal): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PatientPerson-universal): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PatientPerson-universal): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PatientPerson-universal): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:low
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:low"
         id="tmp-r-f062476c-e321-4604-ab82-b17214551898">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:high
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:high"
         id="tmp-r-41e7255f-d960-4aad-b70c-cc03504c7e73">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:width
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:effectiveTime/hl7:center
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:contactPerson
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:contactPerson"
         id="tmp-r-11d6a739-d241-4750-993c-d9fbdd88d055">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(PatientPerson-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-r-1a98910e-c722-46f1-be96-b301bbc7890c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140723T085057/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
